<?php
/**
 * @package Swimming Pool
 * Setup the WordPress core custom header feature.
 *
 * @uses swimming_pool_header_style()
 */
function swimming_pool_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'swimming_pool_custom_header_args', array(
		'default-text-color'     => 'fff',
		'width'                  => 2500,
		'height'                 => 400,
		'wp-head-callback'       => 'swimming_pool_header_style',
	) ) );
}
add_action( 'after_setup_theme', 'swimming_pool_custom_header_setup' );

if ( ! function_exists( 'swimming_pool_header_style' ) ) :
/**
 * Styles the header image and text displayed on the blog
 *
 * @see swimming_pool_custom_header_setup().
 */
function swimming_pool_header_style() {
	$header_text_color = get_header_textcolor();
	?>
	<style type="text/css">
	<?php
		//Check if user has defined any header image.
		if ( get_header_image() || get_header_textcolor() ) :
	?>
		.header-image {
			background: url(<?php echo esc_url( get_header_image() ); ?>) no-repeat;
			background-position: center top;
			background-size: cover;
			height:400px;
		}
	<?php endif; ?>	
	</style>
	<?php 
}
endif;